Page Summary
-
The
lookupLandscapeCaptureDatemethod is used to find available capture dates for landscape data at a specific location. -
This method uses a
POSTHTTP request with the URLhttps://agriculturalunderstanding.googleapis.com/v1:lookupLandscapeCaptureDate. -
The request body requires a
locationSpecifierobject and can optionally include adataVersion. -
The response body includes the
dataVersionand a list of availablecaptureDates.
Lookup available capture dates of landscape data at a given geographical location.
HTTP request
POST https://agriculturalunderstanding.googleapis.com/v1:lookupLandscapeCaptureDate
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "locationSpecifier": { object ( |
| Fields | |
|---|---|
locationSpecifier |
Required. The location specifier. |
dataVersion |
Optional. The version of the data. If not specified, the latest version will be returned. |
Response body
Response message for v1.lookupLandscapeCaptureDate method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "dataVersion": { object ( |
| Fields | |
|---|---|
dataVersion |
The version of the data. |
captureDates[] |
Available capture dates of landscape data. |